<div>
	<mat-form-field>
		<input matInput type="number"
			   placeholder="Degré d'alcool"
			   [(ngModel)]="searchAbv"
			   (keyup.enter)="searchBeers()"/>

	</mat-form-field>
	<button mat-raised-button color="primary"
			(click)="searchBeers()"
			[disabled]="!searchAbv || searchAbv < 0">
		Rechercher
	</button>
</div>

<app-beers-table *ngIf="beer$; else waiting" [beers]="beer$"></app-beers-table>
<div>
	<ng-template #waiting>Recherche des bières, tu n'es pas curieux ?</ng-template>
</div>